/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

void GeneralSettingsWidget::slotAaToggled( bool b )
{
    if (b)
	mColorRadio->setChecked(true);
}


void GeneralSettingsWidget::slotPaletteClicked( int id )
{
    if ( mPaletteGroup->find( id ) != mColorRadio )
        mAntiAliasCheck->setChecked( false );
}


void GeneralSettingsWidget::setUseAntialias( bool b )
{
    mAntiAliasCheck->setChecked(b);
}


void GeneralSettingsWidget::setUsePlatformFonts( bool b )
{
    mPlatformFontCheck->setChecked(b);
}


void GeneralSettingsWidget::setShowMessages( bool b )
{
    mMessagesCheck->setChecked(b);
}


void GeneralSettingsWidget::setPaletteType( int id )
{
    mPaletteGroup->setButton(id);
}


bool GeneralSettingsWidget::useAntialias()
{
    return mAntiAliasCheck->isChecked();
}


bool GeneralSettingsWidget::usePlatformFonts()
{
    return mPlatformFontCheck->isChecked();
}


bool GeneralSettingsWidget::showMessages()
{
    return mMessagesCheck->isChecked();
}


int GeneralSettingsWidget::paletteType()
{
    return mPaletteGroup->selectedId();
}
